Copyright: Speach Therapy Systems Ltd.


Bitmap1-5
Bitmap1-5 property

Description

This property determines  up top 5 bitmaps to be displayed in a control.

Remarks

May be set at  design time only

Data Type

None on default


Contents

Introduction

Properties

ActOn

Bitmap1-5

Button Type

DefDisabled

DefMouseDown

DefMouseUp

EraseBackground

Group

GroupActionDown

GroupActionUp

LeftClick

Number

RightClick

State

Transparent


Introduction
VButton

VButton  is an enhanced picture button contol.

There are  three types of a VButton control.  When   the VButton  is clicked it  changes one of its available state to another. The VButton can contain from zero to five different bitmaps of any size and any color resolution (e.g., 250x150 monochrome bitmap, 100x100 16color and 200x100 256color). This take to a programmer possibility to create fine looking applications. Every bitmap may be displayed in every  button states (e.g., when  a button is enabled, disabled, pushed down, released).  Any bitmap corresponding to some button state can be easely changed at run time. Transparency is supported.

Some of VButton controls can be united in groups. All VButton controls in the group may to change state when a state of any control in the group changes. Groups may be numerated from 0 to 32656. Programmer can change group number for any control both at design and run time.  One of the main features of the VButton control  is fast and simple programming for group changes.

Every VButton control has four events: MouseDown, MouseUp RightClicked and LeftClicked. In this way the VButton control works and may be programmed as a standard Command button control in Visual Basic.

This control was developed by Speech Therapy Systems Ltd. (STS Ltd).


Properties

This are  properties that applied to VButton control only or require special consideration when used in it.

Properties

ActOn	Group	Transparent

Bitmap1-5	CroupActionDown

ButtonType	GroupActionUp

DefDisabled	LeftClick

DefMouseDown	Number

DefMouseUp	RightClick

EraseBackground	State


DefDisabled
DefDisabled Property

Description

This property determines which bitmap will display, when control is disabled.

Usage

[form.]VButton.DefDisabled[={1|2|3|4|5}]

Remarks

When control is disabled,  bitmap with according number is displayed. When 0 is set, no bitmap is displayed. If  bitmap with according number wasn’t defined, no bitmap is displayed. If  the value set is less than 1 it automatically sets to 1. If the value is more than 5,  it sets to 5

Bitmap1 must be set for this property to work.Else VButton will not  be displayed.

See also Bitmap1-5, DefMouseDown, and DefMouseUp property.

Data Type

Integer. On default is 3.


ActOn
ActOn property

Description

Defines type of group action for the VButton control. Setting  ActOn  to Group causes the control to act on other VButton controls in it’s group only. Setting  ActOn to All causes the control to act on all VButton in the form. For example,  if  Button1.Group = 1, Button2.Group = 1, Button3.Group = 2, Button1.GroupActionDown = “Disabled” and all the buttons are enabled , when Button1 is pushed  down

if ActOn = Group	if ActOn = All

Button2  is disabled	Button2  is disabled

Button3 is enabled	Button3  is disabled

Remarks

May be set both at  design time and in runtime.

Data Type

Enumerated. Default value is 0 (Group)

See also Group, GroupActionDown, and GroupActionUp properties


VButton State
State of VButton

Every VButton may be disabled or enabled. Disabled VButton doesn't work and doesn't answer when it is clicked.  Enabled buttons may be both in up and  down state.  All this states are enumerated and may be changed both in design and in run time.


VButton Type
The VButton control may be one of  the following types: push, toggle and special toggle (toggle*).

A push VButton changes its state when the mouse pointer is pointed on the VButton and left mouse button is clicking down. When the left mouse button is released, the push VButton returns to its previous state. A toggle VButton does not return to its previous state when the left mouse button  is released, but the left button click needed. to switch it out. A special toggle VButton  returns to its previous state only by changing of the   State property.


VButton Appearance

 	This all  are samples of possible VButton  controls:


Button Type
Button Type property

Description

Defines type of  VButton contol.

Remarks

A push VButton changes its state when the mouse pointer is pointed on the VButton and left mouse button is clicking down. When left mouse button is released, the push VButton returns to its previous state. A toggle VButton does not return to its previous state when the left mouse button  is released, but the left button click needed to to switch it out.  A special toggle VButton  returns to its previous state only by programmable way.

This is design time property only.

Data Type

 Enumerated. Push on default


DefMouseDown
DefMouseDown Property

This property determines which bitmap will display, when control is pushed down.

Usage

[form.]VButton.DefMouseDown[={1|2|3|4|5}]

Remarks

When the control is pushed down, the bitmap with according number is displayed. When 0 is set no bitmap is displayed. If  bitmap with according number wasn’t defined, no bitmap is displaed. If  the value set is less than 1 it sets to 1. If the value set  more than 5 it sets to 5

Bitmap1 must be set for this property to work. Otherwise VButton will not  be displayed.

See also Bitmap1-5, DefDisabled, and DefMouseUp property.

Data Type

Integer. On default 2.


LeftClick
LeftClick Property

Description

This property simulates left mouse button click

Usage

[form.]VButton.LeftClick=True

Remarks

May be set at  run time only. When the LeftClick property is set to True, the control works when the left mouse button is clicked.

See alsoRightClick

Data Type

Boolean.


RightClick
RightClick Property

Description

This property simulates right mouse button click.

Usage

[form.]VButton.RightClick=True

Remarks

May be set at  run time only. When the RightClick property is set to True, the control works as when the right mouse button is clicked. event Click not generated.

See also LeftClick

Data Type

Boolean.


Transparent
Transparent Property

Description

This property defines the transparency of  Bitmap background. If  the bitmap has transparent background (black) and the Transparent property  is set to True, then in run time background will be transparent.

Usage

[form.]VButton.Transparent[={True|False}]

Remarks

This is only design time property.

Data Type

Boolean. On default is True.


State
State Property

Description

This property defines is control  in Up (released) or in Down (pushed) states.

Usage

i%   = [form.]VButton.State

[form.]VButton.State = i%

Remarks

This is both run time and design time property. It is applicable for toggle or toggle* type buttons only and doesn't work for push buttons  If this property changes then bitmaps change, but events Click, MouseDown and MouseUp not generated.

Data Type

Integer. May be  0  (Up) or 1 (Down)


Number
Number Property

Description

This property changes the currently displayed bitmap to defined bitmap

Usage

[form.]VButton.Number[=number%]

Remarks

This is only run time property.

Data Type

Integer


GroupActoionUp
GroupActionUp Property

Description

This property defines to which state go all controls in the  group when the control is released. State may be one of next: disabled, enabled, gone up, gone down, or clicked.

Usage

[form.]VButton.GroupActionUp[={NoAction|Disable|Enable|Up|Down|Click}]

Remarks

This is both design and run time property. Group actions Up and Down act on Toggle or Toggle* buttons only

See also ActOn, Group and  GroupActionDown properties.

Data Type

Enumerated. On default is NoAction


GroupActionDown
GroupActionDown Property

Description

This property defines which state all controls in the  group go to when the control is pushed down. State may be one of the following: disabled, go up, go down.

Usage

[form.]VButton.GroupActionDown[={0|1|2|3|4|5}]

action% =[form.]VButton.GroupActionDown

0 = No Action, 1 = Disable, 2 = Enable, 3 = Up, 4 = Down, 5 = Click

Remarks

This is both design and run time property. Group actions Up(3) and Down(4) acts on Toggle or Toggle* buttons only

See also ActOn, Group and  GroupActionUp properties.

Data Type

Enumerated. On default is (0) NoAction


Group
Group Property

Description

This property determines group to which this control belongs.

All VButtons in the group may changed his state (namely, to be disabled, to be enabled, to go up, to go down) when a state of one control in the  group changes.

Usage

[form.]VButton.Group[=group%]

Remarks

This is both design and  run time property.

See also ActOn, GroupActionDown, GroupActionUp property.

Data Type

Integer


EraseBackground
EraseBackground Property

Description

This property defines if the bitmap assigned to the previous state will be redrawn when the VBButton control change its state. When it is set to False next state's bitmap will be drawn on the previous bitmap

Usage

[form.]VButton.EraseBackground[={True|False}]

Remarks

This is both design and  run time property.

Data Type

Boolean. On default is True


DefMouseUp
DefMouseUp Property

This property determines which bitmap will display, when control is released.

Usage

[form.]VButton.DefMouseUp[={1|2|3|4|5}]

Remarks

When the control is released,  bitmap with according number is displayed. When 0 is set no bitmap is displayed. If  bitmap with according number wasn’t defined, no bitmap is displayed. If  the value set is less than 1, it sets to 1. If the value set is more than 5, it sets to 5

Bitmap1 must be set for this property to work.Else VButton will not  be displayed.

See also Bitmap1-5, DefDisabled, and DefMouseDown property.

Data Type

Integer. On default is 1.


STS Address
For more information contact us at:

Speech Therapy Systems Ltd.,

POB 80, Kiryat Arba, Israel, 90100

Phone:	972-2-963880

Fax:	972-2-961571

E-Mail:	sts@datasrv.co.il